- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
File Selector Entry

## Macros
#define | elm_obj_fileselector_entry_selected_set(path) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_SELECTED_SET), EO_TYPECHECK(const char *, path)
#define | elm_obj_fileselector_entry_selected_get(ret) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_SELECTED_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_fileselector_entry_window_title_set(title) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_WINDOW_TITLE_SET), EO_TYPECHECK(const char *, title)
#define | elm_obj_fileselector_entry_window_title_get(ret) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_WINDOW_TITLE_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_fileselector_entry_window_size_set(width, height) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_WINDOW_SIZE_SET), EO_TYPECHECK(Evas_Coord, width), EO_TYPECHECK(Evas_Coord, height)
#define | elm_obj_fileselector_entry_window_size_get(width, height) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_WINDOW_SIZE_GET), EO_TYPECHECK(Evas_Coord *, width), EO_TYPECHECK(Evas_Coord *, height)
#define | elm_obj_fileselector_entry_path_set(path) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_PATH_SET), EO_TYPECHECK(const char *, path)
#define | elm_obj_fileselector_entry_path_get(ret) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_PATH_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_fileselector_entry_expandable_set(value) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_EXPANDABLE_SET), EO_TYPECHECK(Eina_Bool, value)
#define | elm_obj_fileselector_entry_expandable_get(ret) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_EXPANDABLE_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_fileselector_entry_folder_only_set(value) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_FOLDER_ONLY_SET), EO_TYPECHECK(Eina_Bool, value)
#define | elm_obj_fileselector_entry_folder_only_get(ret) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_FOLDER_ONLY_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_fileselector_entry_is_save_set(value) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_IS_SAVE_SET), EO_TYPECHECK(Eina_Bool, value)
#define | elm_obj_fileselector_entry_is_save_get(ret) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_IS_SAVE_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_fileselector_entry_inwin_mode_set(value) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_INWIN_MODE_SET), EO_TYPECHECK(Eina_Bool, value)
#define | elm_obj_fileselector_entry_inwin_mode_get(ret) ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_INWIN_MODE_GET), EO_TYPECHECK(Eina_Bool *, ret)

## Functions
Evas_Object * | elm_fileselector_entry_add (Evas_Object *parent)
| Add a new file selector entry widget to the given parent Elementary (container) object. More...
void | elm_fileselector_entry_window_title_set (Evas_Object *obj, const char *title)
| Set the title for a given file selector entry widget's window. More...
const char * | elm_fileselector_entry_window_title_get (const Evas_Object *obj)
| Get the title set for a given file selector entry widget's window. More...
void | elm_fileselector_entry_window_size_set (Evas_Object *obj, Evas_Coord width, Evas_Coord height)
| Set the size of a given file selector entry widget's window, holding the file selector itself. More...
void | elm_fileselector_entry_window_size_get (const Evas_Object *obj, Evas_Coord *width, Evas_Coord *height)
| Get the size of a given file selector entry widget's window, holding the file selector itself. More...
void | elm_fileselector_entry_path_set (Evas_Object *obj, const char *path)
| Set the initial file system path and the entry's path string for a given file selector entry widget. More...
const char * | elm_fileselector_entry_path_get (const Evas_Object *obj)
| Get the entry's path string for a given file selector entry widget. More...
void | elm_fileselector_entry_expandable_set (Evas_Object *obj, Eina_Bool value)
| Enable/disable a tree view in the given file selector entry widget's internal file selector. More...
Eina_Bool | elm_fileselector_entry_expandable_get (const Evas_Object *obj)
| Get whether tree view is enabled for the given file selector entry widget's internal file selector. More...
void | elm_fileselector_entry_folder_only_set (Evas_Object *obj, Eina_Bool value)
| Set whether a given file selector entry widget's internal file selector is to display folders only or the directory contents, as well. More...
Eina_Bool | elm_fileselector_entry_folder_only_get (const Evas_Object *obj)
| Get whether a given file selector entry widget's internal file selector is displaying folders only or the directory contents, as well. More...
void | elm_fileselector_entry_is_save_set (Evas_Object *obj, Eina_Bool value)
| Enable/disable the file name entry box where the user can type in a name for a file, in a given file selector entry widget's internal file selector. More...
Eina_Bool | elm_fileselector_entry_is_save_get (const Evas_Object *obj)
| Get whether the given file selector entry widget's internal file selector is in "saving dialog" mode. More...
void | elm_fileselector_entry_inwin_mode_set (Evas_Object *obj, Eina_Bool value)
| Set whether a given file selector entry widget's internal file selector will raise an Elementary "inner window", instead of a dedicated Elementary window. More...
Eina_Bool | elm_fileselector_entry_inwin_mode_get (const Evas_Object *obj)
| Get whether a given file selector entry widget's internal file selector will raise an Elementary "inner window", instead of a dedicated Elementary window. More...
void | elm_fileselector_entry_selected_set (Evas_Object *obj, const char *path)
| Set the initial file system path for a given file selector entry widget. More...
const char * | elm_fileselector_entry_selected_get (const Evas_Object *obj)
| Get the parent directory's path to the latest file selection on a given filer selector entry widget. More...

## Detailed Description

This is an entry made to be filled with or display a file system path string. Besides the entry itself, the widget has a file selector button on its side, which will raise an internal file selector widget, when clicked, for path selection aided by file system navigation.

This file selector may appear in an Elementary window or in an inner window. When a file is chosen from it, the (inner) window is closed and the selected file's path string is exposed both as a smart event and as the new text on the entry.

This widget inherits from the Layout one, so that all the functions acting on it also work for file selector entry objects (

Since
  1.8).

This widget encapsulates operations on its internal file selector on its own API. There is less control over its file selector than that one would have instantiating one directly.

Smart callbacks one can register to:

- `"changed"` - The text within the entry was changed
- `"activated"` - The entry has had editing finished and changes are to be "committed"
- `"press"` - The entry has been clicked
- `"longpressed"` - The entry has been clicked (and held) for a couple seconds
- `"clicked"` - The entry has been clicked
- `"clicked,double"` - The entry has been double clicked
- `"focused"` - The entry has received focus (since 1.8)
- `"unfocused"` - The entry has lost focus (since 1.8)
- `"selection,paste"` - A paste action has occurred on the entry
- `"selection,copy"` - A copy action has occurred on the entry
- `"selection,cut"` - A cut action has occurred on the entry
- `"unpressed"` - The file selector entry's button was released after being pressed.
- `"file,chosen"` - The user has selected a path via the file selector entry's internal file selector, whose string pointer comes as the `event_info` data (a stringshared string)
- `"language,changed"` - the program's language changed

Default text parts of the fileselector_button widget that you can use for are:

- "default" - Label of the fileselector_button

Default content parts of the fileselector_entry widget that you can use for are:

- "button icon" - Button icon of the fileselector_entry

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset
- elm_object_disabled_set
- elm_object_disabled_get

Here is an example on its usage:

- File selector entry widget example

See Also
  File Selector Button for a similar widget.

## Macro Definition Documentation

#define elm_obj_fileselector_entry_expandable_get | ( |  | ret | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_EXPANDABLE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether tree view is enabled for the given file selector

Parameters

  [out] | ret |

See Also
  elm_fileselector_entry_expandable_get

Referenced by elm_fileselector_entry_expandable_get().

#define elm_obj_fileselector_entry_expandable_set | ( |  | value | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_EXPANDABLE_SET), EO_TYPECHECK(Eina_Bool, value)

Since
  1.8

Enable/disable a tree view in the given file selector entry

Parameters

  [in] | value |

See Also
  elm_fileselector_entry_expandable_set

Referenced by elm_fileselector_entry_expandable_set().

#define elm_obj_fileselector_entry_folder_only_get | ( |  | ret | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_FOLDER_ONLY_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether a given file selector entry widget's internal file selector is displaying folders only or the directory contents, as well.

Parameters

  [out] | ret |

See Also
  elm_fileselector_entry_folder_only_get

Referenced by elm_fileselector_entry_folder_only_get().

#define elm_obj_fileselector_entry_folder_only_set | ( |  | value | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_FOLDER_ONLY_SET), EO_TYPECHECK(Eina_Bool, value)

Since
  1.8

Set whether a given file selector entry widget's internal file selector is to display folders only or the directory contents, as well.

Parameters

  [in] | value |

See Also
  elm_fileselector_entry_folder_only_set

Referenced by elm_fileselector_entry_folder_only_set().

#define elm_obj_fileselector_entry_inwin_mode_get | ( |  | ret | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_INWIN_MODE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether a given file selector entry widget's internal file

Parameters

  [out] | ret |

See Also
  elm_fileselector_entry_inwin_mode_get

Referenced by elm_fileselector_entry_inwin_mode_get().

#define elm_obj_fileselector_entry_inwin_mode_set | ( |  | value | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_INWIN_MODE_SET), EO_TYPECHECK(Eina_Bool, value)

Since
  1.8

Set whether a given file selector entry widget's internal file

Parameters

  [in] | value |

See Also
  elm_fileselector_entry_inwin_mode_set

Referenced by elm_fileselector_entry_inwin_mode_set().

#define elm_obj_fileselector_entry_is_save_get | ( |  | ret | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_IS_SAVE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether the given file selector entry widget's internal

Parameters

  [out] | ret |

See Also
  elm_fileselector_entry_is_save_get

Referenced by elm_fileselector_entry_is_save_get().

#define elm_obj_fileselector_entry_is_save_set | ( |  | value | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_IS_SAVE_SET), EO_TYPECHECK(Eina_Bool, value)

Since
  1.8

Enable/disable the file name entry box where the user can type

Parameters

  [in] | value |

See Also
  elm_fileselector_entry_is_save_set

Referenced by elm_fileselector_entry_is_save_set().

#define elm_obj_fileselector_entry_path_get | ( |  | ret | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_PATH_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the entry's path string for a given file selector entry widget

Parameters

  [out] | ret |

See Also
  elm_fileselector_entry_path_get

Referenced by elm_fileselector_entry_path_get().

#define elm_obj_fileselector_entry_path_set | ( |  | path | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_PATH_SET), EO_TYPECHECK(const char *, path)

Since
  1.8

Set the initial file system path and the entry's path string for a given file selector entry widget

Parameters

  [in] | path |

See Also
  elm_fileselector_entry_path_set

Referenced by elm_fileselector_entry_path_set().

#define elm_obj_fileselector_entry_selected_get | ( |  | ret | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_SELECTED_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the parent directory's path to the latest file selection on a given filer selector entry widget

Parameters

  [out] | ret |

See Also
  elm_fileselector_entry_selected_get

Referenced by elm_fileselector_entry_selected_get().

#define elm_obj_fileselector_entry_selected_set | ( |  | path | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_SELECTED_SET), EO_TYPECHECK(const char *, path)

Since
  1.8

Set the initial file system path for a given file selector entry

Parameters

  [in] | path |

See Also
  elm_fileselector_entry_selected_set

Referenced by elm_fileselector_entry_selected_set().

#define elm_obj_fileselector_entry_window_size_get | ( |  | width,
|  |  | height
| ) |  | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_WINDOW_SIZE_GET), EO_TYPECHECK(Evas_Coord *, width), EO_TYPECHECK(Evas_Coord *, height)

Since
  1.8

Get the size of a given file selector entry widget's window, holding the file selector itself.

Parameters

  [out] | width |
  [out] | height |

See Also
  elm_fileselector_entry_window_size_get

Referenced by elm_fileselector_entry_window_size_get().

#define elm_obj_fileselector_entry_window_size_set | ( |  | width,
|  |  | height
| ) |  | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_WINDOW_SIZE_SET), EO_TYPECHECK(Evas_Coord, width), EO_TYPECHECK(Evas_Coord, height)

Since
  1.8

Set the size of a given file selector entry widget's window, holding the file selector itself.

Parameters

  [in] | width |
  [in] | height |

See Also
  elm_fileselector_entry_window_size_set

Referenced by elm_fileselector_entry_window_size_set().

#define elm_obj_fileselector_entry_window_title_get | ( |  | ret | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_WINDOW_TITLE_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the title set for a given file selector entry widget's window

Parameters

  [out] | ret |

See Also
  elm_fileselector_entry_window_title_get

Referenced by elm_fileselector_entry_window_title_get().

#define elm_obj_fileselector_entry_window_title_set | ( |  | title | ) | ELM_OBJ_FILESELECTOR_ENTRY_ID(ELM_OBJ_FILESELECTOR_ENTRY_SUB_ID_WINDOW_TITLE_SET), EO_TYPECHECK(const char *, title)

Since
  1.8

Set the title for a given file selector entry widget's window

Parameters

  [in] | title |

See Also
  elm_fileselector_entry_window_title_set

Referenced by elm_fileselector_entry_window_title_set().

## Function Documentation

Evas_Object* elm_fileselector_entry_add | ( | Evas_Object * | parent | ) |

Add a new file selector entry widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object

Returns
  a new file selector entry widget handle or `NULL`, on errors

Eina_Bool elm_fileselector_entry_expandable_get | ( | const Evas_Object * | obj | ) |

Get whether tree view is enabled for the given file selector entry widget's internal file selector.

Parameters

  obj | The file selector entry widget

Returns
  `EINA_TRUE` if `obj` widget's internal file selector is in tree view, `EINA_FALSE` otherwise (and or errors)

See Also
  elm_fileselector_expandable_set() for more details

References elm_obj_fileselector_entry_expandable_get.

void elm_fileselector_entry_expandable_set | ( | Evas_Object * | obj,
|  | Eina_Bool | value
| ) |  |

Enable/disable a tree view in the given file selector entry widget's internal file selector.

Parameters

  obj | The file selector entry widget
  value | `EINA_TRUE` to enable tree view, `EINA_FALSE` to disable

This has the same effect as elm_fileselector_expandable_set(), but now applied to a file selector entry's internal file selector.

Note
  There's no way to put a file selector entry's internal file selector in "grid mode", as one may do with "pure" file selectors.

See Also
  elm_fileselector_expandable_get()

References elm_obj_fileselector_entry_expandable_set.

Eina_Bool elm_fileselector_entry_folder_only_get | ( | const Evas_Object * | obj | ) |

Get whether a given file selector entry widget's internal file selector is displaying folders only or the directory contents, as well.

Parameters

  obj | The file selector entry widget

Returns
  `EINA_TRUE` if `obj` widget's internal file selector is only displaying directories, `EINA_FALSE` if files are being displayed in it too (and on errors)

See Also
  elm_fileselector_entry_folder_only_set() for more details

References elm_obj_fileselector_entry_folder_only_get.

void elm_fileselector_entry_folder_only_set | ( | Evas_Object * | obj,
|  | Eina_Bool | value
| ) |  |

Set whether a given file selector entry widget's internal file selector is to display folders only or the directory contents, as well.

Parameters

  obj | The file selector entry widget
  value | `EINA_TRUE` to make `obj` widget's internal file selector only display directories, `EINA_FALSE` to make files to be displayed in it too

This has the same effect as elm_fileselector_folder_only_set(), but now applied to a file selector entry's internal file selector.

See Also
  elm_fileselector_folder_only_get()

References elm_obj_fileselector_entry_folder_only_set.

Eina_Bool elm_fileselector_entry_inwin_mode_get | ( | const Evas_Object * | obj | ) |

Get whether a given file selector entry widget's internal file selector will raise an Elementary "inner window", instead of a dedicated Elementary window.

Parameters

  obj | The file selector entry widget

Returns
  `EINA_TRUE` if will use an inner window, `EINA_FALSE` if it will use a dedicated window

See Also
  elm_fileselector_entry_inwin_mode_set() for more details

References elm_obj_fileselector_entry_inwin_mode_get.

void elm_fileselector_entry_inwin_mode_set | ( | Evas_Object * | obj,
|  | Eina_Bool | value
| ) |  |

Set whether a given file selector entry widget's internal file selector will raise an Elementary "inner window", instead of a dedicated Elementary window.

By default, it won't.

Parameters

  obj | The file selector entry widget
  value | `EINA_TRUE` to make it use an inner window, `EINA_FALSE` to make it use a dedicated window

See Also
  elm_win_inwin_add() for more information on inner windows
  elm_fileselector_entry_inwin_mode_get()

References elm_obj_fileselector_entry_inwin_mode_set.

Eina_Bool elm_fileselector_entry_is_save_get | ( | const Evas_Object * | obj | ) |

Get whether the given file selector entry widget's internal file selector is in "saving dialog" mode.

Parameters

  obj | The file selector entry widget

Returns
  `EINA_TRUE`, if `obj` widget's internal file selector is in "saving dialog" mode, `EINA_FALSE` otherwise (and on errors)

See Also
  elm_fileselector_entry_is_save_set() for more details

References elm_obj_fileselector_entry_is_save_get.

void elm_fileselector_entry_is_save_set | ( | Evas_Object * | obj,
|  | Eina_Bool | value
| ) |  |

Enable/disable the file name entry box where the user can type in a name for a file, in a given file selector entry widget's internal file selector.

Parameters

  obj | The file selector entry widget
  value | `EINA_TRUE` to make `obj` widget's internal file selector a "saving dialog", `EINA_FALSE` otherwise

This has the same effect as elm_fileselector_is_save_set(), but now applied to a file selector entry's internal file selector.

See Also
  elm_fileselector_is_save_get()

References elm_obj_fileselector_entry_is_save_set.

const char* elm_fileselector_entry_path_get | ( | const Evas_Object * | obj | ) |

Get the entry's path string for a given file selector entry widget.

Parameters

  obj | The file selector entry widget

Returns
  path The path string

See Also
  elm_fileselector_entry_path_set() for more details

References elm_obj_fileselector_entry_path_get.

void elm_fileselector_entry_path_set | ( | Evas_Object * | obj,
|  | const char * | path
| ) |  |

Set the initial file system path and the entry's path string for a given file selector entry widget.

Parameters

  obj | The file selector entry widget
  path | The path string

It must be a directory path, which will have the contents displayed initially in the file selector's view, when invoked from `obj`. The default initial path is the `"HOME"` environment variable's value.

See Also
  elm_fileselector_entry_path_get()

References elm_obj_fileselector_entry_path_set.

const char* elm_fileselector_entry_selected_get | ( | const Evas_Object * | obj | ) |

Get the parent directory's path to the latest file selection on a given filer selector entry widget.

Parameters

  obj | The file selector object

Returns
  The (full) path of the directory of the last selection on `obj` widget, a stringshared string

See Also
  elm_fileselector_entry_path_set()

References elm_obj_fileselector_entry_selected_get.

void elm_fileselector_entry_selected_set | ( | Evas_Object * | obj,
|  | const char * | path
| ) |  |

Set the initial file system path for a given file selector entry widget.

Parameters

  obj | The file selector entry widget
  path | The path string

It must be a directory path, which will have the contents displayed initially in the file selector's view, when invoked from `obj`. The default initial path is the `"HOME"` environment variable's value.

See Also
  elm_fileselector_entry_path_get()

References elm_obj_fileselector_entry_selected_set.

void elm_fileselector_entry_window_size_get | ( | const Evas_Object * | obj,
|  | Evas_Coord * | width,
|  | Evas_Coord * | height
| ) |  |

Get the size of a given file selector entry widget's window, holding the file selector itself.

Parameters

  obj | The file selector entry widget
  width | Pointer into which to store the width value
  height | Pointer into which to store the height value

Note
  Use `NULL` pointers on the size values you're not interested in: they'll be ignored by the function.

See Also
  elm_fileselector_entry_window_size_set(), for more details

References elm_obj_fileselector_entry_window_size_get.

void elm_fileselector_entry_window_size_set | ( | Evas_Object * | obj,
|  | Evas_Coord | width,
|  | Evas_Coord | height
| ) |  |

Set the size of a given file selector entry widget's window, holding the file selector itself.

Parameters

  obj | The file selector entry widget
  width | The window's width
  height | The window's height

Note
  it will only take any effect if the file selector entry widget is not under "inwin mode". The default size for the window (when applicable) is 400x400 pixels.

See Also
  elm_fileselector_entry_window_size_get()

References elm_obj_fileselector_entry_window_size_set.

const char* elm_fileselector_entry_window_title_get | ( | const Evas_Object * | obj | ) |

Get the title set for a given file selector entry widget's window.

Parameters

  obj | The file selector entry widget

Returns
  Title of the file selector entry's window

See Also
  elm_fileselector_entry_window_title_get() for more details

References elm_obj_fileselector_entry_window_title_get.

void elm_fileselector_entry_window_title_set | ( | Evas_Object * | obj,
|  | const char * | title
| ) |  |

Set the title for a given file selector entry widget's window.

Parameters

  obj | The file selector entry widget
  title | The title string

This will change the window's title, when the file selector pops out after a click on the entry's button. Those windows have the default (unlocalized) value of `"Select a file"` as titles.

Note
  It will only take any effect if the file selector entry widget is not under "inwin mode".

See Also
  elm_fileselector_entry_window_title_get()

References elm_obj_fileselector_entry_window_title_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:12